# -*- coding: UTF-8 -*-
# Librería de bajo nivel que implementa el lado de cliente del protocolo HTTP

import httplib
import time


servidor = '192.168.4.1'
nombrePrueba = 'Prueba X  metros TIPO_PRUEBA ESCENARIO '

def pruebas():

    i = 0

    for i in range(0, 5):

        print "\r\n---> estableciendo conexión TCP"
        inicio_total = time.time();
        inicio = time.time()
        conn = httplib.HTTPConnection(servidor)  # Definir conexión TCP con puerto 80
        conn.connect()
        fin = time.time()
        tiempocon = "tiempo total de conexión: " + str(fin - inicio)
        print "tiempo total de conexión: " + str(fin - inicio)
        print "---> conexión TCP establecida"

        conn.sock.getsockname()

        metodo = 'GET'
        recurso = '/'
        cabeceras_peticion = {'Host': servidor,
                              'User-Agent': 'Cliente Python'}
        cuerpo_peticion = ''

        print "---> realizando petición HTTP"
        inicio = time.time()
        conn.request(metodo, recurso, headers=cabeceras_peticion,          body=cuerpo_peticion)

        print "--->Estado de la conexión"
        response = conn.getresponse()
        respuesta = response.read();
        fin = time.time()
        fin_total = time.time()
        tiempopeticion = "tiempo total de request: " + str(fin - inicio)
        print str(tiempopeticion)


        print "Status: " + str(response.status)
        print "Tamaño: " + str(response.length)
        print "Cabeceras de respuesta: " + str(response.getheaders())
        print "contenido " + str(respuesta)

        respuesta = "contenido: " + str(respuesta)
        estado = "Status: " + str(response.status)

        file = str(nombrePrueba) + '_' + str(i)

        f = open(str(file), 'w')
        f.write(str(respuesta))
        f.write('\n')
        f.write(str(estado))
        f.write('\n')
        f.write(str(tiempocon))
        f.write('\n')
        f.write(str(tiempopeticion))
        f.write('\n')
        f.close()

        print "TIEMPO TOTAL CONEXIÓN Y REQUEST:  " + str(fin_total - inicio_total)

        conn.close()

pruebas()
