
//Include Libraries
#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

//create an RF24 object
RF24 radio(9, 8);  // CE, CSN

//address through which two modules communicate.
const byte address[6] = "00001";
int i = 0;
int j = 0;
int l = 0;
int z = 0;
int aux = 0;

unsigned long p = 0;

void setup()
{
  Serial.begin(9600);
  radio.begin();
  
  //set the address
  radio.openWritingPipe(address);
  
  //Set module as transmitter
  radio.stopListening();
}
void loop()
{ 
    if (l<5){
    const char control[] = "1";  
    const char envi[] = "Texto corto”;
    const char largo[] = "Fragmento de texto largo”;
    
    for(z; z<5; z++){
      p++;
        radio.write(&control, sizeof(control));
        Serial.print(control);
       Serial.println(" ");
    }
    Serial.print("Envio de paquetes: ");
    Serial.print(p);
    Serial.println(" ");

    p=0;
    z = 0;
    
    for(j; j<sizeof(envi); j++){
      p++;
      char text[32];
      i=0;
      for (i; i<32; i++){
        text[i]=envi[i+j];
      }
      j = j + i;
      
      Serial.println(text);
      radio.write(&text, sizeof(text));
    }

    Serial.print("Envio de paquetes: ");
    Serial.print(p);
    Serial.println(" ");
    j=0;

    p= 0;
    for(aux = 0; aux <28; aux++){
     for(j; j<sizeof(largo); j++){
      p++;
      char text[32];
      i=0;
      for (i; i<32; i++){
        text[i]=largo[i+j];
      }
      j = j + i;
      
      Serial.println(text);
      radio.write(&text, sizeof(text));
    }
    j=0;
    }
    Serial.print("Envio de paquetes: ");
    Serial.print(p);
    Serial.println(" ");
    

    p= 0;
    
  delay(5000);
    l++;
    }
}
